using System;

class Program
    {
        static string StringMax(string x, string y)
        {
            for (int i = 0; i < x.Length; i++) 
            {
                if (Convert.ToByte(x[i]) > Convert.ToByte(y[i])) return x;
                else if (Convert.ToByte(y[i]) > Convert.ToByte(x[i])) return y;
            }
            return x;
        }

        static void Main(string[] args)
        {
            string[] input = Console.ReadLine().Split(' ');
            if((input[0]+input[1]+input[2]).Length <= 19)
            {
                ulong A = Convert.ToUInt64(input[0] + input[1] + input[2]);
                ulong B = Convert.ToUInt64(input[0] + input[2] + input[1]);
                ulong C = Convert.ToUInt64(input[1] + input[0] + input[2]);
                ulong D = Convert.ToUInt64(input[1] + input[2] + input[0]);
                ulong E = Convert.ToUInt64(input[2] + input[1] + input[0]);
                ulong F = Convert.ToUInt64(input[2] + input[0] + input[1]);
                Console.WriteLine(Math.Max(Math.Max(Math.Max(A, B), Math.Max(C, D)), Math.Max(E, F)));
            }
            else
            {
                string A = input[0] + input[1] + input[2];
                string B = input[0] + input[2] + input[1];
                string C = input[1] + input[0] + input[2];
                string D = input[1] + input[2] + input[0];
                string E = input[2] + input[1] + input[0];
                string F = input[2] + input[0] + input[1];
                Console.WriteLine(StringMax(StringMax(StringMax(A, B), StringMax(C, D)), StringMax(E, F)));
            }
            Console.Read();
        }
    }